> For the complete documentation index, see [llms.txt](https://docs.taxsplit.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.taxsplit.app/api-reference/readme/error-handling.md).

# Error handling

All errors follow a consistent format for easy handling.

### Error response format

```json
{
  "error": "Error message",
  "details": []
}
```

* `details` is optional and typically used for validation errors.

### HTTP status codes

* `200` Success
* `400` Bad Request (validation error)
* `401` Unauthorized (missing/invalid JWT)
* `403` Forbidden (not allowed)
* `404` Not Found
* `429` Too Many Requests (rate limit exceeded)
* `500` Internal Server Error

### Example errors

#### Validation error

```json
{
  "error": "Validation error",
  "details": [
    {
      "path": ["name"],
      "message": "String must contain at least 1 character(s)"
    }
  ]
}
```

#### Authentication error

```json
{
  "error": "Unauthorized",
  "message": "Invalid or expired token"
}
```

#### Not found

```json
{
  "error": "Token not found"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.taxsplit.app/api-reference/readme/error-handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
